Subject: Re: [PATCH net-next] net: dsa: Deal with non-existing PHY/fixed-link

From: Andrew Lunn <[email-masked]>
Date: Mon, 10 Jun 2019 23:15:34 +0200

On Mon, Jun 10, 2019 at 12:31:49PM -0700, Florian Fainelli wrote:
> We need to specifically deal with phylink_of_phy_connect() returning
> -ENODEV, because this can happen when a CPU/DSA port does connect
> neither to a PHY, nor has a fixed-link property. This is a valid use
> case that is permitted by the binding and indicates to the switch:
> auto-configure port with maximum capabilities.
> 
> Fixes: 0e27921816ad ("net: dsa: Use PHYLINK for the CPU/DSA ports")
> Signed-off-by: Florian Fainelli <[email-masked]>

Hi Florian

This fixes the regression.

Reviewed-by: Andrew Lunn <[email-masked]>

But i wonder if we want to add in
(dsa_is_cpu_port(ds, port) || dsa_is_dsa_port(ds, port) i.e. force a
user port to have some form of PHY?

     Andrew